MV(1)

NAME
mv - move or rename files

SYNOPSIS
mv [ -i ] [ -f ] [ - ] file1 file2

mv [ -i ] [ -f ] [ - ] file ... directory

DESCRIPTION
Mv moves (changes the name of) file1 to file2.

If file2 already exists, it is removed before file1 is moved. If file2 has a mode which forbids writing, mv prints the mode (see chmod(2)) and reads the standard input to obtain a line; if the line begins with y, the move takes place; if not, mv exits.

In the second form, one or more files (plain files or directories) are moved to the directory with their original file-names.

Mv refuses to move a file onto itself.

Options:

-i  stands for interactive mode. Whenever a move is to supercede an existing file, the user is prompted by the name of the file followed by a question mark. If he answers with a line starting with 'y', the move continues. Any other reply prevents the move from occurring.

-f  stands for force. This option overrides any mode restrictions or the -i switch.

-   means interpret all the following arguments to mv as file names. This allows file names starting with minus.

SEE ALSO
cp(1), ln(1)

BUGS
If file1 and file2 lie on different file systems, mv must copy the file and delete the original. In this case the owner name becomes that of the copying process and any linking relationship with other files is lost.